import { Renderer2, ElementRef, OnInit, OnChanges } from '@angular/core';
import { LyTheme2, ThemeVariables, StyleCollection, LyClasses, StyleTemplate, ThemeRef, StyleRenderer } from '@alyle/ui';
import * as i0 from "@angular/core";
export interface LyToolbarTheme {
    /** Styles for Toolbar Component */
    root?: StyleCollection<((classes: LyClasses<typeof STYLES>) => StyleTemplate)> | ((classes: LyClasses<typeof STYLES>) => StyleTemplate);
    appearance?: {
        [key: string]: StyleCollection<((classes: LyClasses<typeof STYLES>) => StyleTemplate)> | ((classes: LyClasses<typeof STYLES>) => StyleTemplate);
    };
}
export interface LyToolbarVariables {
    toolbar?: LyToolbarTheme;
}
export declare const STYLES: (theme: ThemeVariables & LyToolbarVariables, ref: ThemeRef) => {
    $priority: number;
    root: () => (_className: string) => string;
};
type position = 'static' | 'absolute' | 'fixed' | 'sticky' | 'relative';
/** @docs-private */
export declare class LyToolbarBase {
    _theme: LyTheme2;
    constructor(_theme: LyTheme2);
}
/** @docs-private */
export declare const LyToolbarMixinBase: import("../../../../../dist/@alyle/ui/src/common/constructor").Constructor<import("../../../../../dist/@alyle/ui/src/common/build-common-behaviors").CanStyleUpdater> & import("../../../../../dist/@alyle/ui/src/common/constructor").Constructor<import("../../../../../dist/@alyle/ui/src/common/bg").CanBg> & import("../../../../../dist/@alyle/ui/src/common/constructor").Constructor<import("../../../../../dist/@alyle/ui/src/common/color").CanColor> & import("../../../../../dist/@alyle/ui/src/common/constructor").Constructor<import("../../../../../dist/@alyle/ui/src/common/raised").CanRaised> & import("@alyle/ui").CanDisableCtor & import("../../../../../dist/@alyle/ui/src/common/constructor").Constructor<import("../../../../../dist/@alyle/ui/src/common/outlined").CanOutlined> & import("../../../../../dist/@alyle/ui/src/common/constructor").Constructor<import("../../../../../dist/@alyle/ui/src/common/elevation").CanElevation> & import("../../../../../dist/@alyle/ui/src/common/constructor").Constructor<import("../../../../../dist/@alyle/ui/src/common/shadow-color").CanShadowColor> & typeof LyToolbarBase;
/**
 * @dynamic
 */
export declare class LyToolbar extends LyToolbarMixinBase implements OnChanges, OnInit {
    private _el;
    private theme;
    readonly sRenderer: StyleRenderer;
    static readonly и = "LyToolbar";
    static readonly $priority = -2;
    /**
     * Styles
     * @docs-private
     */
    readonly classes: LyClasses<(theme: import("@alyle/ui").LyStyleUtils & import("@alyle/ui").ThemeConfig & LyToolbarVariables, ref: ThemeRef) => {
        $priority: number;
        root: () => (_className: string) => string;
    }>;
    position: position;
    appearance: string;
    constructor(_renderer: Renderer2, _el: ElementRef, theme: LyTheme2, sRenderer: StyleRenderer);
    ngOnChanges(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LyToolbar, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LyToolbar, "ly-toolbar", never, { "bg": { "alias": "bg"; "required": false; }; "color": { "alias": "color"; "required": false; }; "raised": { "alias": "raised"; "required": false; }; "outlined": { "alias": "outlined"; "required": false; }; "elevation": { "alias": "elevation"; "required": false; }; "shadowColor": { "alias": "shadowColor"; "required": false; }; "position": { "alias": "position"; "required": false; }; "appearance": { "alias": "appearance"; "required": false; }; }, {}, never, never, false, never>;
}
export {};
